OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_HOfAsciiString Class Reference

`#include <PColStd_HOfAsciiString.hxx>`

Inheritance diagram for PColStd_HOfAsciiString:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_HOfAsciiString ()
virtual Standard_EXPORT Standard_Integer | HashCode (const Handle(PCollection_HAsciiString)&MyKey, const Standard_Integer Upper) const
virtual Standard_EXPORT Standard_Boolean | Compare (const Handle(PCollection_HAsciiString)&One, const Handle(PCollection_HAsciiString)&Two) const
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PColStd_HOfAsciiString_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HOfAsciiString::PColStd_HOfAsciiString | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean PColStd_HOfAsciiString::Compare | ( | const Handle(PCollection_HAsciiString)& | One,
|  | const Handle(PCollection_HAsciiString)& | Two
| ) | const`[virtual]`

| Reimplemented in PColStd_HashAsciiString.

virtual Standard_EXPORT Standard_Integer PColStd_HOfAsciiString::HashCode | ( | const Handle(PCollection_HAsciiString)& | MyKey,
|  | const Standard_Integer | Upper
| ) | const`[virtual]`

| Reimplemented in PColStd_HashAsciiString.

void PColStd_HOfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in PColStd_HashAsciiString.

void* PColStd_HOfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in PColStd_HashAsciiString.

void* PColStd_HOfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in PColStd_HashAsciiString.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_HOfAsciiString_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_HOfAsciiString.hxx